Bug 712404 - Review Request: ghc-data-accessor-template - A library for accessing and manipulating fields of records
Review Request: ghc-data-accessor-template - A library for accessing and mani...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: ghc-utility-ht ghc-data-accessor
Blocks: yi
  Show dependency treegraph
 
Reported: 2011-06-10 09:28 EDT by Narasimhan
Modified: 2013-06-24 06:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-06-10 09:28:20 EDT
SPEC file : http://narasim.fedorapeople.org/package_reviews/ghc-data-accessor-template.spec

SRPM file : http://narasim.fedorapeople.org/package_reviews/ghc-data-accessor-template-0.2.1.7-1.fc14.src.rpm

rpmlint output:
ghc-data-accessor-template-prof.i686: E: devel-dependency ghc-data-accessor-template-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-data-accessor-template-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-data-accessor-template-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/data-accessor-template-0.2.1.7/libHSdata-accessor-template-0.2.1.7_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 1 Narasimhan 2011-06-10 09:28:41 EDT
Required for yi.
Comment 2 Narasimhan 2012-12-02 08:51:16 EST
Spec file and srpm:
http://narasim.fedorapeople.org/package_reviews/ghc-data-accessor-template.spec
http://narasim.fedorapeople.org/package_reviews/ghc-data-accessor-template-0.2.1.7-1.fc17.src.rpm

rpmlint output:
rpmlint  -i ghc-data-accessor-template-0.2.1.7-1.fc17.x86_64.rpm ghc-data-accessor-template-devel-0.2.1.7-1.fc17.x86_64.rpm ghc-data-accessor-template-0.2.1.7-1.fc17.src.rpm  ../ghc-data-accessor-template.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Jens Petersen 2013-06-24 06:31:19 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.